Delete Bookmark
curl --request DELETE \
--url https://api.x.com/2/users/{id}/bookmarks/{tweet_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/{id}/bookmarks/{tweet_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/{id}/bookmarks/{tweet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"bookmarked": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Bookmarks
Delete Bookmark
Removes a Post from the authenticated user’s Bookmarks by its ID.
DELETE
/
2
/
users
/
{id}
/
bookmarks
/
{tweet_id}
Delete Bookmark
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the authenticated source User whose bookmark is to be removed. Unique identifier of this User. The value must be the same as the authenticated user.
Example:
"2244994945"
The ID of the Post that the source User is removing from bookmarks. Unique identifier of this Tweet. This is returned as a string in order to avoid complications with languages and tools that cannot handle large integers.
Pattern:
^[0-9]{1,19}$Example:
"1346889436626259968"
Response
The request has succeeded.
Show child attributes
Show child attributes
Minimum array length:
1An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes